Bug 1157268 - (CVE-2019-18934) VUL-0: CVE-2019-18934: unbound: Remote shell code execution in the IPSEC module
(CVE-2019-18934)
VUL-0: CVE-2019-18934: unbound: Remote shell code execution in the IPSEC module
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Rubén Torrero Marijnissen
Security Team bot
https://smash.suse.de/issue/247600/
CVSSv3.1:SUSE:CVE-2019-18934:8.1:(AV...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-20 08:35 UTC by Wolfgang Frisch
Modified: 2020-10-21 09:24 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Wolfgang Frisch 2019-11-20 08:42:37 UTC
Affected: SUSE:SLE-15:Update and SUSE:SLE-15-SP1:Update.

The upstream patch [1] applies cleanly to both code streams.

[1] https://nlnetlabs.nl/downloads/unbound/patch_cve_2019-18934.diff
Comment 4 Swamp Workflow Management 2020-06-26 10:16:25 UTC
SUSE-SU-2020:1772-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1157268,1171889
CVE References: CVE-2019-18934,CVE-2020-12662,CVE-2020-12663
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    unbound-1.6.8-10.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    unbound-1.6.8-10.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2020-06-29 22:15:59 UTC
openSUSE-SU-2020:0913-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1157268,1171889
CVE References: CVE-2019-18934,CVE-2020-12662,CVE-2020-12663
Sources used:
openSUSE Leap 15.2 (src):    libunbound-devel-mini-1.6.8-lp152.9.3.1, unbound-1.6.8-lp152.9.3.1
Comment 6 Swamp Workflow Management 2020-06-29 22:17:33 UTC
openSUSE-SU-2020:0912-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1157268,1171889
CVE References: CVE-2019-18934,CVE-2020-12662,CVE-2020-12663
Sources used:
openSUSE Leap 15.1 (src):    libunbound-devel-mini-1.6.8-lp151.8.3.1, unbound-1.6.8-lp151.8.3.1
Comment 7 Swamp Workflow Management 2020-07-01 19:14:49 UTC
SUSE-SU-2020:1819-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1157268,1171889
CVE References: CVE-2019-18934,CVE-2020-12662,CVE-2020-12663
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    unbound-1.6.8-3.6.1
SUSE Linux Enterprise Server 15-LTSS (src):    unbound-1.6.8-3.6.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    unbound-1.6.8-3.6.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    unbound-1.6.8-3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Marcus Meissner 2020-07-27 06:27:31 UTC
released